Tesisleri CSV ile içe aktar
curl --request POST \
--url https://app.azalt.co/api/v1/sites/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"csvContent": "<string>",
"organizationId": "<string>"
}
'import requests
url = "https://app.azalt.co/api/v1/sites/import"
payload = {
"csvContent": "<string>",
"organizationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({csvContent: '<string>', organizationId: '<string>'})
};
fetch('https://app.azalt.co/api/v1/sites/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": 123,
"failed": 123,
"errors": [
"<string>"
],
"logs": [
"<string>"
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Site
Tesisleri CSV ile içe aktar
CSV dosyasından tesisleri toplu olarak oluşturur.
CSV içeriği:
- Hiyerarşi sütunları (üst tesis referansları)
- Konum ve adres bilgileri
- Özel metadata alanları
Çoklu tesis eklemelerinde hızlı kurulum sağlar; site manager yetkisi gerekir.
POST
/
sites
/
import
Tesisleri CSV ile içe aktar
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

